All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::tools::CPU_SCALAR_TYPE_DEDUCER< T > Struct Template Reference

Obtain the cpu scalar type from a type, including a GPU type like viennacl::scalar<T> More...

`#include <tools.hpp>`

## Detailed Description

### template<typename T>
struct viennacl::tools::CPU_SCALAR_TYPE_DEDUCER< T >

Obtain the cpu scalar type from a type, including a GPU type like viennacl::scalar<T>

Template Parameters

  T | Either a CPU scalar type or a GPU scalar type

Definition at line 225 of file tools.hpp.

The documentation for this struct was generated from the following file:

- viennacl/tools/tools.hpp